Show Meta Info Action
Request
GET /api/show_meta_info
Description
Used to display some metadata information
Path parameters
None
Query parameters
-
action
Specify the type of metadata information to be obtained. Currently supports the following:
-
SHOW_DB_SIZEGet the data size of the specified database, in bytes.
-
SHOW_HAObtain the playback status of FE metadata logs and the status of electable groups.
-
Request body
None
Response
-
SHOW_DB_SIZE{"msg": "success","code": 0,"data": {"default_cluster:information_schema": 0,"default_cluster:db1": 381},"count": 0} -
SHOW_HA{"msg": "success","code": 0,"data": {"can_read": "true","role": "MASTER","is_ready": "true","last_checkpoint_version": "1492","last_checkpoint_time": "1596465109000","current_journal_id": "1595","electable_nodes": "","observer_nodes": "","master": "10.81.85.89"},"count": 0}
Examples
-
View the data size of each database in the cluster
GET /api/show_meta_info?action=show_db_sizeResponse:{"msg": "success","code": 0,"data": {"default_cluster:information_schema": 0,"default_cluster:db1": 381},"count": 0} -
View the FE election group situation
GET /api/show_meta_info?action=show_haResponse:{"msg": "success","code": 0,"data": {"can_read": "true","role": "MASTER","is_ready": "true","last_checkpoint_version": "1492","last_checkpoint_time": "1596465109000","current_journal_id": "1595","electable_nodes": "","observer_nodes": "","master": "10.81.85.89"},"count": 0}